Package org.apache.sling.feature.cpconverter.handlers

## Class DefaultEntryParser

- java.lang.Object
- - org.xml.sax.helpers.DefaultHandler
  - - org.apache.sling.feature.cpconverter.shared.AbstractJcrNodeParser<Set<String>>
    - - org.apache.sling.feature.cpconverter.handlers.DefaultEntryParser

All Implemented Interfaces:
  `ContentHandler`, `DTDHandler`, `EntityResolver`, `ErrorHandler`

    public class DefaultEntryParser
    extends AbstractJcrNodeParser<Set<String>>

Implementation of `AbstractJcrNodeParser` that builds and records paths of all elements (nodes) using the specified initial repository path.

### Field Summary

### Fields inherited from class org.apache.sling.feature.cpconverter.shared.AbstractJcrNodeParser

`detectedPrimaryType, JCR_ROOT`

### Constructor Summary

Constructors
`DefaultEntryParser​(@NotNull String repositoryPath)` Create a new `DefaultEntryParser`.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `endElement​(String uri, String localName, String qName)`
`Set<String>` `getParsingResult()`
`protected void` `onJcrRootElement​(String uri, String localName, String qName, Attributes attributes)`
`void` `startElement​(String uri, String localName, String qName, Attributes attributes)`

### Methods inherited from class org.apache.sling.feature.cpconverter.shared.AbstractJcrNodeParser

`onJcrRootNode, parse`

### Methods inherited from class org.xml.sax.helpers.DefaultHandler

`characters, endDocument, endPrefixMapping, error, fatalError, ignorableWhitespace, notationDecl, processingInstruction, resolveEntity, setDocumentLocator, skippedEntity, startDocument, startPrefixMapping, unparsedEntityDecl, warning`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DefaultEntryParser

    public DefaultEntryParser​(@NotNull
                              @NotNull String repositoryPath)

Create a new `DefaultEntryParser`.

Parameters:
  `repositoryPath` - The base repository path used to build absolute paths from the parsed elements.

### Method Detail

#### startElement

    public void startElement​(String uri,
                             String localName,
                             String qName,
                             Attributes attributes)

Specified by:
  `startElement` in interface `ContentHandler`
Overrides:
  `startElement` in class `AbstractJcrNodeParser<Set<String>>`

#### endElement

    public void endElement​(String uri,
                           String localName,
                           String qName)

Specified by:
  `endElement` in interface `ContentHandler`
Overrides:
  `endElement` in class `DefaultHandler`

#### onJcrRootElement

    protected void onJcrRootElement​(String uri,
                                    String localName,
                                    String qName,
                                    Attributes attributes)

Specified by:
  `onJcrRootElement` in class `AbstractJcrNodeParser<Set<String>>`

#### getParsingResult

    public Set<String> getParsingResult()

Specified by:
  `getParsingResult` in class `AbstractJcrNodeParser<Set<String>>`
Returns:
  All node paths recorded by this parser instance.